<?php
//Constants
define('GWEFAN_AUTH_BASIC',		0x01);
define('GWEFAN_AUTH_DIGEST',		0x02);
define('GWEFAN_AUTH_PHP',		0x03);

//Settings
define('GWEFAN_DEBUG', 			true);
define('GWEFAN_DEBUG_EMAIL_ADDRESS',	''); //Address error messages are sent to if GWEFAN_DEBUG is FALSE.
define('GWEFAN_DEBUG_EMAIL_PREFIX',	'[GWEFAN ERROR] '); //Optional prefix in email subject
define('GWEFAN_LOGIN_METHOD',		GWEFAN_AUTH_BASIC);

//Absolute paths
define('GWEFAN_PATH',			dirname(__FILE__));
define('GWEFAN_INCLUDES_PATH',		GWEFAN_PATH.'/includes');
define('GWEFAN_TEMPLATES_PATH',		GWEFAN_PATH.'/templates');
define('GWEFAN_RESOURCES_PATH',		GWEFAN_PATH.'/resources');
define('GWEFAN_DATABASE_PATH',		GWEFAN_PATH.'/data/database.sqlite');

//Relative paths
define('GWEFAN_REL_PATH',		'');
define('GWEFAN_REL_RESOURCES_PATH',	GWEFAN_REL_PATH.'/resources');
define('GWEFAN_REL_TEMPLATES_PATH',	GWEFAN_REL_PATH.'/templates');

//Terminate here if file is not included in other script
if( !defined('IN_GWEFAN') )
{
    header('HTTP/1.0 403 Forbidden');
    include(GWEFAN_RESOURCES_PATH.'/error_pages/403.html');
    exit(1);
}

//Automatic Configuration
if( isset($_GET['rw']) && $_GET['rw'] == '1' )
{
    define('GWEFAN_CFG_REWRITE', true);
} else {
    define('GWEFAN_CFG_REWRITE', false);
}
$timezone = ini_get('date.timezone');
if( empty($timezone) )
{
    date_default_timezone_set('UTC');
}

//Global includes
require_once(GWEFAN_INCLUDES_PATH.'/errors.php');
require_once(GWEFAN_INCLUDES_PATH.'/gwefan.php');
require_once(GWEFAN_INCLUDES_PATH.'/Smarty/Smarty.class.php');

//Set up templates
$smarty = new Smarty();
$smarty->setTemplateDir(GWEFAN_TEMPLATES_PATH.'/templates');
$smarty->setCompileDir(GWEFAN_TEMPLATES_PATH.'/templates_c');
$smarty->setConfigDir(GWEFAN_TEMPLATES_PATH.'/configs');
$smarty->setCacheDir(GWEFAN_TEMPLATES_PATH.'/cache');
?>
