<!DOCTYPE HTML>
<html>
    <head>
	<!-- Title -->
	<title>{$sitename} - {$current_page.title}</title>
	<link rel="stylesheet" type="text/css" href="{$resources_path}/templates/style.css">
	<link rel="stylesheet" type="text/css" href="{$resources_path}/templates/admin.css">
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
	<script src="{$resources_path}/ckeditor/ckeditor.js"></script>
    </head>
    <body>
	<!-- Header -->
	<div id="header">
	    <h1>{$sitename} :: {$current_page.title}</h1>
	    <!-- First level links -->
	    <div id="toplinks">
		<div id="toplinks_links">
		    {foreach $toplinks as $toplink}
			{if $toplink.identifier == $current_page.toplink.identifier}
			    <span><a class="active" href="{$toplink.link}">{$toplink.name}</a></span>
			{else}
			    <span><a href="{$toplink.link}">{$toplink.name}</a></span>
			{/if}
		    {/foreach}
		</div>
		<form method="post">
		    <input type="hidden" name="action" value="new_toplink" />
		    <button type="submit">Add New</button>
		</form>
	    </div>
	    <!-- Current path -->
	    <div id="path">You are here: 
		{foreach $paths as $path}
		    <a href="{$path.link}">{$path.name}</a>
		    {if $path@last}{else} &gt; {/if}
		{/foreach}
	    </div>
	    <!-- Logout -->
	    <div id="logout">
		<a href="{$viewer_path}/edit/ACTION/logout">Log Out</a>
	    </div>
	</div>
	<!-- Main Body -->
	<div id="content">
	    <!-- Sublinks -->
	    <div id="sublinks">
		<div>{$current_page.toplink.name}</div>
		{if $has_sublinks}
		    {foreach $sublinks as $sublink}
			{if $sublink.identifier == $current_page.sublink.identifier}
			    <div><a class="active" href="{$sublink.link}">{$sublink.name}</a></div>
			{else}
			    <div><a href="{$sublink.link}">{$sublink.name}</a></div>
			{/if}
		    {/foreach}
		{/if}
		{if $current_page.toplink.id == 1} {* Don't show ADD button for HOME *}
		    <div>
			<p>(The home page cannot have any sublinks.)</p>
		    </div>
		{else}
		    <form method="post">
			<input type="hidden" name="action" value="new_sublink" />
			<input type="hidden" name="toplink" value="{$current_page.toplink.identifier}" />
			<div class="buttons">
			    <button type="submit">Add New</button>
			</div>
		    </form>
		{/if}
	    </div>
	    <!-- Page Content -->
	    <div id="content_content">
		<div id="page_warnings">
		    {if isset($confirm_delete_page)}
			<p style="warning">
			<span>Warning:</span> If you delete this page, the contents of the page
			will be irrevocably lost. To permanently delete this page click &quot;Delete
			Page&quot; again.
			</p>
		    {/if}
		    {if isset($confirm_change_identifier)}
			<p style="warning">
			<span>Warning:</span> Changing the pages identifier means that old links to
			the page will no longer work. It is recommended that this not be changed if
			not absolutely necessary. Please note that the identifier can only consist of
			the lowercase letters a-z, the numbers 0-9 and the dash &quot;-&quot;.
			</p>
		    {/if}
		</div>
		<div id="page_actions">
		    <p>Available actions:</p>
		    {if $current_page.can_move_up}
			<form method="post">
			    <input type="hidden" name="action" value="move_page_up" />
			    <input type="hidden" name="toplink" value="{$current_page.toplink.identifier}" />
			    {if $current_page.sublink != null}
				<input type="hidden" name="sublink" value="{$current_page.sublink.identifier}" />
			    {/if}
			    <button type="submit">Move Up</button>
			</form>
		    {/if}
		    {if $current_page.can_move_down}
			<form method="post">
			    <input type="hidden" name="action" value="move_page_down" />
			    <input type="hidden" name="toplink" value="{$current_page.toplink.identifier}" />
			    {if $current_page.sublink != null}
				<input type="hidden" name="sublink" value="{$current_page.sublink.identifier}" />
			    {/if}
			    <button type="submit">Move Down</button>
			</form>
		    {/if}
		    {if $current_page.can_delete}
			<form method="post">
			    <input type="hidden" name="action" value="delete_page" />
			    <input type="hidden" name="toplink" value="{$current_page.toplink.identifier}" />
			    {if $current_page.sublink != null}
				<input type="hidden" name="sublink" value="{$current_page.sublink.identifier}" />
			    {/if}
			    {if isset($confirm_delete_page)}
				<input type="hidden" name="action_confirm" value="true" />
			    {/if}
			    <button type="submit">Delete Page</button>
			</form>
		    {/if}
		    <form method="post">
			<input type="hidden" name="action" value="page_change_identifier" />
			<input type="hidden" name="toplink" value="{$current_page.toplink.identifier}" />
			{if $current_page.sublink != null}
			    <input type="hidden" name="sublink" value="{$current_page.sublink.identifier}" />
			{/if}
			<button type="submit">Change Identifier</button>
		    </form>
		</div>
		<form method="post">
		    <input type="hidden" name="action" value="update_page" />
		    <input type="hidden" name="toplink" value="{$current_page.toplink.identifier}" />
		    {if $current_page.sublink == null}
			<label>Name:</label> <input class="textinput" type="text" name="page_name" value="{$current_page.toplink.name}" /><br />
			<label>Identifier:</label> <input class="textinput"  type="text" name="page_identifier" value="{$current_page.toplink.identifier}"
			    {if !isset($confirm_change_identifier) and $current_page.toplink.identifier|substr:0:1 neq "-"}
				readonly="readonly"
			    {/if}
			/><br />
		    {else}
			<input type="hidden" name="sublink" value="{$current_page.sublink.identifier}" />
			<label>Name:</label> <input class="textinput" type="text" name="page_name" value="{$current_page.sublink.name}" /><br />
			<label>Identifier:</label> <input class="textinput"  type="text" name="page_identifier" value="{$current_page.sublink.identifier}"
			    {if !isset($confirm_change_identifier) and $current_page.sublink.identifier|substr:0:1 neq "-"}
				readonly="readonly"
			    {/if}
			/><br />
		    {/if}
		    <textarea name="page_content">{$current_page.content|escape:'html'}</textarea>
		    <script>
			CKEDITOR.replace('page_content', {
			    customConfig: '{$resources_path}/templates/ckeditor_config.js',
			    height:"600"
			});
		    </script>
		    <div class="buttons">
			<button type="submit">Save</button>
		    </div>
		</form>
	    </div>
	</div>
	<!-- Footer -->
	<div id="footer">
	    Copyright &copy; {$smarty.now|date_format:'%Y'} {$sitename}.
	</div>
    </body>
</html>